import Vue from 'vue'
import App from './App'
import store from './store/logion.js'	

// 定义全局提示title

const msg = (title, duration=1500, mask=false, icon='none')=>{
	//统一提示方便全局修改
	if(Boolean(title) === false){
		return;
	}
	uni.showToast({
		title,
		duration,
		mask,
		icon
	});
}



Vue.prototype.$msg = msg
Vue.config.productionTip = false
Vue.prototype.$store = store
App.mpType = 'app'



const app = new Vue({
    ...App
})
app.$mount()
